cURL
curl --request POST \ --url https://idaas.yourflexpay.com/api/v1/wallet \ --header 'Authorization: Bearer <token>'
{ "success": true, "message": "<string>", "errorCode": "<string>", "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "applicationName": "<string>", "currency": "<string>", "balance": 123, "totalDebited": 123, "totalCredited": 123, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" }, "errors": [ "<string>" ], "timestamp": "2023-11-07T05:31:56Z" }
Idempotent – safe to call on every application start-up. Creates the wallet if it does not exist and returns the current state.
Obtain a token from POST /v1/auth/token using your client_id and client_secret, then enter Bearer <token> here.
POST /v1/auth/token
client_id
client_secret
Bearer <token>
Wallet provisioned or already exists
Show child attributes